<?php

namespace Kependudukan\KB\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Kependudukan\KB\Interfaces\ProvinceRepositoryInterface;

class ProvincePublicController extends BaseController
{
    // use ProvinceWorkflow;

    /**
     * Constructor.
     *
     * @param type \Kependudukan\Province\Interfaces\ProvinceRepositoryInterface $province
     *
     * @return type
     */
    public function __construct(ProvinceRepositoryInterface $province)
    {
        $this->repository = $province;
        parent::__construct();
    }

    /**
     * Show province's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $provinces = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('k_b::public.province.index', compact('provinces'))->render();
    }

    /**
     * Show province.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $province = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('k_b::public.province.show', compact('province'))->render();
    }

}
