<?php

namespace Kependudukan\KB;

use User;

class KB
{
    /**
     * $province object.
     */
    protected $province;

    /**
     * Constructor.
     */
    public function __construct(\Kependudukan\KB\Interfaces\ProvinceRepositoryInterface $province)
    {
        $this->province = $province;
    }

    /**
     * Returns count of k_b.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.province.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->province->pushCriteria(new \Litepie\Kependudukan\Repositories\Criteria\ProvinceUserCriteria());
        }

        $province = $this->province->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('k_b::' . $view, compact('province'))->render();
    }
}
