<?php

namespace Kependudukan\KB\Workflow;

use Kependudukan\KB\Models\Province;
use Kependudukan\KB\Notifications\Province as ProvinceNotifyer;
use Notification;

class ProvinceNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Province $province
     *
     * @return void
     */
    public function complete(Province $province)
    {
        return Notification::send($province->user, new ProvinceNotifyer($province, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Province $province
     *
     * @return void
     */
    public function verify(Province $province)
    {
        return Notification::send($province->user, new ProvinceNotifyer($province, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Province $province
     *
     * @return void
     */
    public function approve(Province $province)
    {
        return Notification::send($province->user, new ProvinceNotifyer($province, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Province $province
     *
     * @return void
     */
    public function publish(Province $province)
    {
        return Notification::send($province->user, new ProvinceNotifyer($province, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Province $province
     *
     * @return void
     */
    public function archive(Province $province)
    {
        return Notification::send($province->user, new ProvinceNotifyer($province, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Province $province
     *
     * @return void
     */
    public function unpublish(Province $province)
    {
        return Notification::send($province->user, new ProvinceNotifyer($province, 'unpublish'));;

    }
}
